Subject: Re: [Sip] New version of draft-ietf-sip-body-handling-01.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 20 May 2008 11:05:37 +0300

Hi Paul,

with respect to sipfrag, it is true that somebody could generate a 
sipfrag with a body without including the header that referenced that 
body. However, I believe that should be clarified in a revision of the 
sipfrag spec, and not in this one. Therefore, I will consider it out of 
the scope of this document.

Thanks for the comments,

Cheers,

Gonzalo

Paul Kyzivat wrote:
> Gonzalo,
> 
> This is *much* improved! (Not that it was bad before.) It is very 
> straightforward and clear. I like it a lot.
> 
> I was only thinking about one use case that may, or may not, warrant 
> some special explanation - the use of sipfrag.
> 
> A sipfrag is allowed to contain any subset of initial lines, headers, 
> and body from a sip message. This could for instance lead to unsatisfied 
> references to body parts, or to body parts that were intended to be 
> referenced, but whose references have been elided. As a result it may 
> not be possible to properly process the body parts of a sipfrag.
> 
> I think this this is pretty much intended behavior and so it should be 
> ok to send such ill-constructed things. But it might be good, here or 
> somewhere else, to clarify the construction and usage of sipfrags - what 
> makes sense and what does not.
> 
>     Thanks,
>     Paul
> 
> Gonzalo Camarillo wrote:
>> Folks,
>>
>> I have put together a new version of the body handling draft:
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-sip-body-handling-01.txt
>>
>> This version addresses all the comments we got in its APPS review, 
>> which included modifying the structure of the document. With respect 
>> to references to body parts, per the guidelines we got from the APPS 
>> people, the document now only allows forward references.
>>
>> Comments are welcome.
>>
>> Cheers,
>>
>> Gonzalo
>>
>>
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments on the application of sip
>>
> 

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip